/*
AUTORE: Manuel Vichi
Gestione di un Magazzino
*/
#include <iostream>
using namespace std;
struct Prodotto{
	int codice;
	int quantita;
	float prezzo;
	bool disponibile;
};

void aggiornaDisponibilita(struct Prodotto prodotti[], size_t size) {
	for (size_t i = 0; i < size; i++) {
		if (prodotti[i].quantita > 0) {
			prodotti[i].disponibile = true;
		}
		else {
			prodotti[i].disponibile = false;
		}
	}
}

void stampa(struct Prodotto prodotti[], size_t size) {
	for (size_t i = 0; i < size; i++) {
		if (prodotti[i].disponibile) {
			cout << "Prodotto #" << prodotti[i].codice << " | Prezzo: " << prodotti[i].prezzo << " | Quantita': " << prodotti[i].quantita << " | Disponibilita': Disponibile" << endl;
		}
		else {
			cout << "Prodotto #" << prodotti[i].codice << " | Prezzo: " << prodotti[i].prezzo << " | Quantita': " << prodotti[i].quantita << " | Disponibilita': Non disponibile" << endl;
		}
	}
}

int main(void) {
	struct Prodotto prodotti[2];
	prodotti[0] = {54834748,5,7.49f,false};
	prodotti[1] = {21321375,100,99.99f,false};
	prodotti[2] = {12378423,0,6.39f,false};
	aggiornaDisponibilita(prodotti,3);
	stampa(prodotti,3);
	return 0;
}
